// File created from ../../../src/bin/dhcp6/dhcp6_messages.mes on Fri Jun 07 2013 10:18

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace dhcp {

extern const isc::log::MessageID DHCP6_CCSESSION_STARTED = "DHCP6_CCSESSION_STARTED";
extern const isc::log::MessageID DHCP6_CCSESSION_STARTING = "DHCP6_CCSESSION_STARTING";
extern const isc::log::MessageID DHCP6_CLIENTID_MISSING = "DHCP6_CLIENTID_MISSING";
extern const isc::log::MessageID DHCP6_COMMAND_RECEIVED = "DHCP6_COMMAND_RECEIVED";
extern const isc::log::MessageID DHCP6_CONFIG_COMPLETE = "DHCP6_CONFIG_COMPLETE";
extern const isc::log::MessageID DHCP6_CONFIG_LOAD_FAIL = "DHCP6_CONFIG_LOAD_FAIL";
extern const isc::log::MessageID DHCP6_CONFIG_NEW_SUBNET = "DHCP6_CONFIG_NEW_SUBNET";
extern const isc::log::MessageID DHCP6_CONFIG_OPTION_DUPLICATE = "DHCP6_CONFIG_OPTION_DUPLICATE";
extern const isc::log::MessageID DHCP6_CONFIG_START = "DHCP6_CONFIG_START";
extern const isc::log::MessageID DHCP6_CONFIG_UPDATE = "DHCP6_CONFIG_UPDATE";
extern const isc::log::MessageID DHCP6_DB_BACKEND_STARTED = "DHCP6_DB_BACKEND_STARTED";
extern const isc::log::MessageID DHCP6_LEASE_ADVERT = "DHCP6_LEASE_ADVERT";
extern const isc::log::MessageID DHCP6_LEASE_ADVERT_FAIL = "DHCP6_LEASE_ADVERT_FAIL";
extern const isc::log::MessageID DHCP6_LEASE_ALLOC = "DHCP6_LEASE_ALLOC";
extern const isc::log::MessageID DHCP6_LEASE_ALLOC_FAIL = "DHCP6_LEASE_ALLOC_FAIL";
extern const isc::log::MessageID DHCP6_LEASE_WITHOUT_DUID = "DHCP6_LEASE_WITHOUT_DUID";
extern const isc::log::MessageID DHCP6_NOT_RUNNING = "DHCP6_NOT_RUNNING";
extern const isc::log::MessageID DHCP6_NO_INTERFACES = "DHCP6_NO_INTERFACES";
extern const isc::log::MessageID DHCP6_OPEN_SOCKET = "DHCP6_OPEN_SOCKET";
extern const isc::log::MessageID DHCP6_PACKET_PARSE_FAIL = "DHCP6_PACKET_PARSE_FAIL";
extern const isc::log::MessageID DHCP6_PACKET_PROCESS_FAIL = "DHCP6_PACKET_PROCESS_FAIL";
extern const isc::log::MessageID DHCP6_PACKET_RECEIVED = "DHCP6_PACKET_RECEIVED";
extern const isc::log::MessageID DHCP6_PACKET_RECEIVE_FAIL = "DHCP6_PACKET_RECEIVE_FAIL";
extern const isc::log::MessageID DHCP6_PACKET_SEND_FAIL = "DHCP6_PACKET_SEND_FAIL";
extern const isc::log::MessageID DHCP6_PACK_FAIL = "DHCP6_PACK_FAIL";
extern const isc::log::MessageID DHCP6_PARSER_COMMIT_EXCEPTION = "DHCP6_PARSER_COMMIT_EXCEPTION";
extern const isc::log::MessageID DHCP6_PARSER_COMMIT_FAIL = "DHCP6_PARSER_COMMIT_FAIL";
extern const isc::log::MessageID DHCP6_PARSER_CREATED = "DHCP6_PARSER_CREATED";
extern const isc::log::MessageID DHCP6_PARSER_EXCEPTION = "DHCP6_PARSER_EXCEPTION";
extern const isc::log::MessageID DHCP6_PARSER_FAIL = "DHCP6_PARSER_FAIL";
extern const isc::log::MessageID DHCP6_PROCESS_IA_NA_REQUEST = "DHCP6_PROCESS_IA_NA_REQUEST";
extern const isc::log::MessageID DHCP6_QUERY_DATA = "DHCP6_QUERY_DATA";
extern const isc::log::MessageID DHCP6_RELEASE = "DHCP6_RELEASE";
extern const isc::log::MessageID DHCP6_RELEASE_FAIL = "DHCP6_RELEASE_FAIL";
extern const isc::log::MessageID DHCP6_RELEASE_FAIL_WRONG_DUID = "DHCP6_RELEASE_FAIL_WRONG_DUID";
extern const isc::log::MessageID DHCP6_RELEASE_FAIL_WRONG_IAID = "DHCP6_RELEASE_FAIL_WRONG_IAID";
extern const isc::log::MessageID DHCP6_RELEASE_MISSING_CLIENTID = "DHCP6_RELEASE_MISSING_CLIENTID";
extern const isc::log::MessageID DHCP6_RENEW_UNKNOWN_SUBNET = "DHCP6_RENEW_UNKNOWN_SUBNET";
extern const isc::log::MessageID DHCP6_REQUIRED_OPTIONS_CHECK_FAIL = "DHCP6_REQUIRED_OPTIONS_CHECK_FAIL";
extern const isc::log::MessageID DHCP6_RESPONSE_DATA = "DHCP6_RESPONSE_DATA";
extern const isc::log::MessageID DHCP6_SERVERID_GENERATED = "DHCP6_SERVERID_GENERATED";
extern const isc::log::MessageID DHCP6_SERVERID_LOADED = "DHCP6_SERVERID_LOADED";
extern const isc::log::MessageID DHCP6_SERVERID_WRITE_FAIL = "DHCP6_SERVERID_WRITE_FAIL";
extern const isc::log::MessageID DHCP6_SERVER_FAILED = "DHCP6_SERVER_FAILED";
extern const isc::log::MessageID DHCP6_SESSION_FAIL = "DHCP6_SESSION_FAIL";
extern const isc::log::MessageID DHCP6_SHUTDOWN = "DHCP6_SHUTDOWN";
extern const isc::log::MessageID DHCP6_SHUTDOWN_REQUEST = "DHCP6_SHUTDOWN_REQUEST";
extern const isc::log::MessageID DHCP6_SRV_CONSTRUCT_ERROR = "DHCP6_SRV_CONSTRUCT_ERROR";
extern const isc::log::MessageID DHCP6_STANDALONE = "DHCP6_STANDALONE";
extern const isc::log::MessageID DHCP6_STARTING = "DHCP6_STARTING";
extern const isc::log::MessageID DHCP6_START_INFO = "DHCP6_START_INFO";
extern const isc::log::MessageID DHCP6_SUBNET_SELECTED = "DHCP6_SUBNET_SELECTED";
extern const isc::log::MessageID DHCP6_SUBNET_SELECTION_FAILED = "DHCP6_SUBNET_SELECTION_FAILED";
extern const isc::log::MessageID DHCP6_UNKNOWN_RELEASE = "DHCP6_UNKNOWN_RELEASE";
extern const isc::log::MessageID DHCP6_UNKNOWN_RENEW = "DHCP6_UNKNOWN_RENEW";

} // namespace dhcp
} // namespace isc

namespace {

const char* values[] = {
    "DHCP6_CCSESSION_STARTED", "control channel session started on socket %1",
    "DHCP6_CCSESSION_STARTING", "starting control channel session, specfile: %1",
    "DHCP6_CLIENTID_MISSING", "mandatory client-id option is missing, message from %1 dropped",
    "DHCP6_COMMAND_RECEIVED", "received command %1, arguments: %2",
    "DHCP6_CONFIG_COMPLETE", "DHCPv6 server has completed configuration: %1",
    "DHCP6_CONFIG_LOAD_FAIL", "failed to load configuration: %1",
    "DHCP6_CONFIG_NEW_SUBNET", "a new subnet has been added to configuration: %1",
    "DHCP6_CONFIG_OPTION_DUPLICATE", "multiple options with the code: %1 added to the subnet: %2",
    "DHCP6_CONFIG_START", "DHCPv6 server is processing the following configuration: %1",
    "DHCP6_CONFIG_UPDATE", "updated configuration received: %1",
    "DHCP6_DB_BACKEND_STARTED", "lease database started (type: %1, name: %2)",
    "DHCP6_LEASE_ADVERT", "lease %1 advertised (client duid=%2, iaid=%3)",
    "DHCP6_LEASE_ADVERT_FAIL", "failed to advertise a lease for client duid=%1, iaid=%2",
    "DHCP6_LEASE_ALLOC", "lease %1 has been allocated (client duid=%2, iaid=%3)",
    "DHCP6_LEASE_ALLOC_FAIL", "failed to grant a lease for client duid=%1, iaid=%2",
    "DHCP6_LEASE_WITHOUT_DUID", "lease for address %1 does not have a DUID",
    "DHCP6_NOT_RUNNING", "IPv6 DHCP server is not running",
    "DHCP6_NO_INTERFACES", "failed to detect any network interfaces",
    "DHCP6_OPEN_SOCKET", "opening sockets on port %1",
    "DHCP6_PACKET_PARSE_FAIL", "failed to parse incoming packet",
    "DHCP6_PACKET_PROCESS_FAIL", "processing of %1 message received from %2 failed: %3",
    "DHCP6_PACKET_RECEIVED", "%1 packet received",
    "DHCP6_PACKET_RECEIVE_FAIL", "error on attempt to receive packet: %1",
    "DHCP6_PACKET_SEND_FAIL", "failed to send DHCPv6 packet: %1",
    "DHCP6_PACK_FAIL", "failed to assemble response correctly",
    "DHCP6_PARSER_COMMIT_EXCEPTION", "parser failed to commit changes",
    "DHCP6_PARSER_COMMIT_FAIL", "parser failed to commit changes: %1",
    "DHCP6_PARSER_CREATED", "created parser for configuration element %1",
    "DHCP6_PARSER_EXCEPTION", "failed to create or run parser for configuration element %1",
    "DHCP6_PARSER_FAIL", "failed to create or run parser for configuration element %1: %2",
    "DHCP6_PROCESS_IA_NA_REQUEST", "server is processing IA_NA option (duid=%1, iaid=%2, hint=%3)",
    "DHCP6_QUERY_DATA", "received packet length %1, data length %2, data is %3",
    "DHCP6_RELEASE", "address %1 belonging to client duid=%2, iaid=%3 was released properly.",
    "DHCP6_RELEASE_FAIL", "failed to remove lease for address %1 for duid=%2, iaid=%3",
    "DHCP6_RELEASE_FAIL_WRONG_DUID", "client (duid=%1) tried to release address %2, but it belongs to client (duid=%3)",
    "DHCP6_RELEASE_FAIL_WRONG_IAID", "client (duid=%1) tried to release address %2, but it used wrong IAID (expected %3, but got %4)",
    "DHCP6_RELEASE_MISSING_CLIENTID", "client (address=%1) sent RELEASE message without mandatory client-id",
    "DHCP6_RENEW_UNKNOWN_SUBNET", "RENEW message received from client on unknown subnet (duid=%1, iaid=%2)",
    "DHCP6_REQUIRED_OPTIONS_CHECK_FAIL", "%1 message received from %2 failed the following check: %3",
    "DHCP6_RESPONSE_DATA", "responding with packet type %1 data is %2",
    "DHCP6_SERVERID_GENERATED", "server-id %1 has been generated and will be stored in %2",
    "DHCP6_SERVERID_LOADED", "server-id %1 has been loaded from file %2",
    "DHCP6_SERVERID_WRITE_FAIL", "server was not able to write its ID to file %1",
    "DHCP6_SERVER_FAILED", "server failed: %1",
    "DHCP6_SESSION_FAIL", "failed to establish BIND 10 session (%1), running stand-alone",
    "DHCP6_SHUTDOWN", "server shutdown",
    "DHCP6_SHUTDOWN_REQUEST", "shutdown of server requested",
    "DHCP6_SRV_CONSTRUCT_ERROR", "error creating Dhcpv6Srv object, reason: %1",
    "DHCP6_STANDALONE", "skipping message queue, running standalone",
    "DHCP6_STARTING", "server starting",
    "DHCP6_START_INFO", "pid: %1, port: %2, verbose: %3, standalone: %4",
    "DHCP6_SUBNET_SELECTED", "the %1 subnet was selected for client assignment",
    "DHCP6_SUBNET_SELECTION_FAILED", "failed to select a subnet for incoming packet, src=%1 type=%2",
    "DHCP6_UNKNOWN_RELEASE", "received RELEASE from unknown client (duid=%1, iaid=%2)",
    "DHCP6_UNKNOWN_RENEW", "received RENEW from client (duid=%1, iaid=%2) in subnet %3",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

