// File created from ../../../src/bin/resolver/resolver_messages.mes on Fri Jun 07 2013 10:17

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

extern const isc::log::MessageID RESOLVER_AXFR_TCP = "RESOLVER_AXFR_TCP";
extern const isc::log::MessageID RESOLVER_AXFR_UDP = "RESOLVER_AXFR_UDP";
extern const isc::log::MessageID RESOLVER_CLIENT_TIME_SMALL = "RESOLVER_CLIENT_TIME_SMALL";
extern const isc::log::MessageID RESOLVER_CONFIG_CHANNEL = "RESOLVER_CONFIG_CHANNEL";
extern const isc::log::MessageID RESOLVER_CONFIG_ERROR = "RESOLVER_CONFIG_ERROR";
extern const isc::log::MessageID RESOLVER_CONFIG_LOADED = "RESOLVER_CONFIG_LOADED";
extern const isc::log::MessageID RESOLVER_CONFIG_UPDATED = "RESOLVER_CONFIG_UPDATED";
extern const isc::log::MessageID RESOLVER_CREATED = "RESOLVER_CREATED";
extern const isc::log::MessageID RESOLVER_DNS_MESSAGE_RECEIVED = "RESOLVER_DNS_MESSAGE_RECEIVED";
extern const isc::log::MessageID RESOLVER_DNS_MESSAGE_SENT = "RESOLVER_DNS_MESSAGE_SENT";
extern const isc::log::MessageID RESOLVER_FAILED = "RESOLVER_FAILED";
extern const isc::log::MessageID RESOLVER_FORWARD_ADDRESS = "RESOLVER_FORWARD_ADDRESS";
extern const isc::log::MessageID RESOLVER_FORWARD_QUERY = "RESOLVER_FORWARD_QUERY";
extern const isc::log::MessageID RESOLVER_HEADER_PROCESSING_FAILED = "RESOLVER_HEADER_PROCESSING_FAILED";
extern const isc::log::MessageID RESOLVER_IXFR = "RESOLVER_IXFR";
extern const isc::log::MessageID RESOLVER_LOOKUP_TIME_SMALL = "RESOLVER_LOOKUP_TIME_SMALL";
extern const isc::log::MessageID RESOLVER_MESSAGE_PROCESSING_FAILED = "RESOLVER_MESSAGE_PROCESSING_FAILED";
extern const isc::log::MessageID RESOLVER_NEGATIVE_RETRIES = "RESOLVER_NEGATIVE_RETRIES";
extern const isc::log::MessageID RESOLVER_NON_IN_PACKET = "RESOLVER_NON_IN_PACKET";
extern const isc::log::MessageID RESOLVER_NORMAL_QUERY = "RESOLVER_NORMAL_QUERY";
extern const isc::log::MessageID RESOLVER_NOTIFY_RECEIVED = "RESOLVER_NOTIFY_RECEIVED";
extern const isc::log::MessageID RESOLVER_NOT_ONE_QUESTION = "RESOLVER_NOT_ONE_QUESTION";
extern const isc::log::MessageID RESOLVER_NO_ROOT_ADDRESS = "RESOLVER_NO_ROOT_ADDRESS";
extern const isc::log::MessageID RESOLVER_PRINT_COMMAND = "RESOLVER_PRINT_COMMAND";
extern const isc::log::MessageID RESOLVER_PROTOCOL_BODY_PARSE_FAILED = "RESOLVER_PROTOCOL_BODY_PARSE_FAILED";
extern const isc::log::MessageID RESOLVER_QUERY_ACCEPTED = "RESOLVER_QUERY_ACCEPTED";
extern const isc::log::MessageID RESOLVER_QUERY_DROPPED = "RESOLVER_QUERY_DROPPED";
extern const isc::log::MessageID RESOLVER_QUERY_REJECTED = "RESOLVER_QUERY_REJECTED";
extern const isc::log::MessageID RESOLVER_QUERY_SETUP = "RESOLVER_QUERY_SETUP";
extern const isc::log::MessageID RESOLVER_QUERY_SHUTDOWN = "RESOLVER_QUERY_SHUTDOWN";
extern const isc::log::MessageID RESOLVER_QUERY_TIME_SMALL = "RESOLVER_QUERY_TIME_SMALL";
extern const isc::log::MessageID RESOLVER_RECEIVED_MESSAGE = "RESOLVER_RECEIVED_MESSAGE";
extern const isc::log::MessageID RESOLVER_RECURSIVE = "RESOLVER_RECURSIVE";
extern const isc::log::MessageID RESOLVER_SERVICE_CREATED = "RESOLVER_SERVICE_CREATED";
extern const isc::log::MessageID RESOLVER_SET_PARAMS = "RESOLVER_SET_PARAMS";
extern const isc::log::MessageID RESOLVER_SET_QUERY_ACL = "RESOLVER_SET_QUERY_ACL";
extern const isc::log::MessageID RESOLVER_SET_ROOT_ADDRESS = "RESOLVER_SET_ROOT_ADDRESS";
extern const isc::log::MessageID RESOLVER_SHUTDOWN = "RESOLVER_SHUTDOWN";
extern const isc::log::MessageID RESOLVER_SHUTDOWN_RECEIVED = "RESOLVER_SHUTDOWN_RECEIVED";
extern const isc::log::MessageID RESOLVER_STARTED = "RESOLVER_STARTED";
extern const isc::log::MessageID RESOLVER_STARTING = "RESOLVER_STARTING";
extern const isc::log::MessageID RESOLVER_UNEXPECTED_RESPONSE = "RESOLVER_UNEXPECTED_RESPONSE";
extern const isc::log::MessageID RESOLVER_UNSUPPORTED_OPCODE = "RESOLVER_UNSUPPORTED_OPCODE";

namespace {

const char* values[] = {
    "RESOLVER_AXFR_TCP", "AXFR request received over TCP",
    "RESOLVER_AXFR_UDP", "AXFR request received over UDP",
    "RESOLVER_CLIENT_TIME_SMALL", "client timeout of %1 is too small",
    "RESOLVER_CONFIG_CHANNEL", "configuration channel created",
    "RESOLVER_CONFIG_ERROR", "error in configuration: %1",
    "RESOLVER_CONFIG_LOADED", "configuration loaded",
    "RESOLVER_CONFIG_UPDATED", "configuration updated: %1",
    "RESOLVER_CREATED", "main resolver object created",
    "RESOLVER_DNS_MESSAGE_RECEIVED", "DNS message received: %1",
    "RESOLVER_DNS_MESSAGE_SENT", "DNS message of %1 bytes sent: %2",
    "RESOLVER_FAILED", "resolver failed, reason: %1",
    "RESOLVER_FORWARD_ADDRESS", "setting forward address %1(%2)",
    "RESOLVER_FORWARD_QUERY", "processing forward query",
    "RESOLVER_HEADER_PROCESSING_FAILED", "message received, exception when processing header: %1",
    "RESOLVER_IXFR", "IXFR request received",
    "RESOLVER_LOOKUP_TIME_SMALL", "lookup timeout of %1 is too small",
    "RESOLVER_MESSAGE_PROCESSING_FAILED", "error parsing received message: %1 - returning %2",
    "RESOLVER_NEGATIVE_RETRIES", "negative number of retries (%1) specified in the configuration",
    "RESOLVER_NON_IN_PACKET", "non-IN class (%1) request received, returning REFUSED message",
    "RESOLVER_NORMAL_QUERY", "processing normal query",
    "RESOLVER_NOTIFY_RECEIVED", "NOTIFY arrived but server is not authoritative",
    "RESOLVER_NOT_ONE_QUESTION", "query contained %1 questions, exactly one question was expected",
    "RESOLVER_NO_ROOT_ADDRESS", "no root addresses available",
    "RESOLVER_PRINT_COMMAND", "print message command, arguments are: %1",
    "RESOLVER_PROTOCOL_BODY_PARSE_FAILED", "protocol error parsing received message: %1 - returning %2",
    "RESOLVER_QUERY_ACCEPTED", "query accepted: '%1/%2/%3' from %4",
    "RESOLVER_QUERY_DROPPED", "query dropped: '%1/%2/%3' from %4",
    "RESOLVER_QUERY_REJECTED", "query rejected: '%1/%2/%3' from %4",
    "RESOLVER_QUERY_SETUP", "query setup",
    "RESOLVER_QUERY_SHUTDOWN", "query shutdown",
    "RESOLVER_QUERY_TIME_SMALL", "query timeout of %1 is too small",
    "RESOLVER_RECEIVED_MESSAGE", "resolver has received a DNS message",
    "RESOLVER_RECURSIVE", "running in recursive mode",
    "RESOLVER_SERVICE_CREATED", "service object created",
    "RESOLVER_SET_PARAMS", "query timeout: %1, client timeout: %2, lookup timeout: %3, retry count: %4",
    "RESOLVER_SET_QUERY_ACL", "query ACL is configured",
    "RESOLVER_SET_ROOT_ADDRESS", "setting root address %1(%2)",
    "RESOLVER_SHUTDOWN", "resolver shutdown complete",
    "RESOLVER_SHUTDOWN_RECEIVED", "received command to shut down",
    "RESOLVER_STARTED", "resolver started",
    "RESOLVER_STARTING", "starting resolver with command line '%1'",
    "RESOLVER_UNEXPECTED_RESPONSE", "received unexpected response, ignoring",
    "RESOLVER_UNSUPPORTED_OPCODE", "opcode %1 not supported by the resolver",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

