// File created from ../../../src/lib/datasrc/datasrc_messages.mes on Fri Jun 07 2013 10:16

#ifndef DATASRC_MESSAGES_H
#define DATASRC_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace datasrc {

extern const isc::log::MessageID DATASRC_BAD_NSEC3_NAME;
extern const isc::log::MessageID DATASRC_CACHE_CREATE;
extern const isc::log::MessageID DATASRC_CACHE_DESTROY;
extern const isc::log::MessageID DATASRC_CACHE_DISABLE;
extern const isc::log::MessageID DATASRC_CACHE_ENABLE;
extern const isc::log::MessageID DATASRC_CACHE_EXPIRED;
extern const isc::log::MessageID DATASRC_CACHE_FOUND;
extern const isc::log::MessageID DATASRC_CACHE_FULL;
extern const isc::log::MessageID DATASRC_CACHE_INSERT;
extern const isc::log::MessageID DATASRC_CACHE_NOT_FOUND;
extern const isc::log::MessageID DATASRC_CACHE_OLD_FOUND;
extern const isc::log::MessageID DATASRC_CACHE_REMOVE;
extern const isc::log::MessageID DATASRC_CACHE_SLOTS;
extern const isc::log::MessageID DATASRC_CHECK_ERROR;
extern const isc::log::MessageID DATASRC_CHECK_WARNING;
extern const isc::log::MessageID DATASRC_DATABASE_COVER_NSEC_UNSUPPORTED;
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3;
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_COVER;
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_MATCH;
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_TRYHASH;
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_TRYHASH_PREV;
extern const isc::log::MessageID DATASRC_DATABASE_FIND_RECORDS;
extern const isc::log::MessageID DATASRC_DATABASE_FIND_TTL_MISMATCH;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_ANY;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_CNAME;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_DELEGATION;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_DELEGATION_EXACT;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_DNAME;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_EMPTY_NONTERMINAL;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_NXDOMAIN;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_NXRRSET;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_NXRRSET_NSEC;
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_RRSET;
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE;
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE_END;
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE_NEXT;
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE_TTL_MISMATCH;
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_BADDATA;
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_END;
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_NEXT;
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_START;
extern const isc::log::MessageID DATASRC_DATABASE_NO_MATCH;
extern const isc::log::MessageID DATASRC_DATABASE_TRANSACTION_ROLLBACKFAIL;
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_COMMIT;
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_CREATED;
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_DESTROYED;
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_ROLLBACK;
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_ROLLBACKFAIL;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_ANY;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_CANCEL_NS;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_CANCEL_SUB;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_CNAME;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_EMPTY;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_MATCH;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_NS;
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_NXRRSET;
extern const isc::log::MessageID DATASRC_DO_QUERY;
extern const isc::log::MessageID DATASRC_LIST_NOT_CACHED;
extern const isc::log::MessageID DATASRC_LOAD_FROM_FILE_ERROR;
extern const isc::log::MessageID DATASRC_LOAD_FROM_ITERATOR_ERROR;
extern const isc::log::MessageID DATASRC_MASTER_LOAD_ERROR;
extern const isc::log::MessageID DATASRC_MASTER_LOAD_WARN;
extern const isc::log::MessageID DATASRC_MEM_ADD_RRSET;
extern const isc::log::MessageID DATASRC_MEM_ADD_WILDCARD;
extern const isc::log::MessageID DATASRC_MEM_ADD_ZONE;
extern const isc::log::MessageID DATASRC_MEM_ANY_SUCCESS;
extern const isc::log::MessageID DATASRC_MEM_CNAME;
extern const isc::log::MessageID DATASRC_MEM_CNAME_COEXIST;
extern const isc::log::MessageID DATASRC_MEM_CNAME_TO_NONEMPTY;
extern const isc::log::MessageID DATASRC_MEM_CREATE;
extern const isc::log::MessageID DATASRC_MEM_DELEG_FOUND;
extern const isc::log::MessageID DATASRC_MEM_DESTROY;
extern const isc::log::MessageID DATASRC_MEM_DNAME_ENCOUNTERED;
extern const isc::log::MessageID DATASRC_MEM_DNAME_FOUND;
extern const isc::log::MessageID DATASRC_MEM_DNAME_NS;
extern const isc::log::MessageID DATASRC_MEM_DOMAIN_EMPTY;
extern const isc::log::MessageID DATASRC_MEM_DUP_RRSET;
extern const isc::log::MessageID DATASRC_MEM_EXACT_DELEGATION;
extern const isc::log::MessageID DATASRC_MEM_FIND;
extern const isc::log::MessageID DATASRC_MEM_FINDNSEC3;
extern const isc::log::MessageID DATASRC_MEM_FINDNSEC3_COVER;
extern const isc::log::MessageID DATASRC_MEM_FINDNSEC3_MATCH;
extern const isc::log::MessageID DATASRC_MEM_FINDNSEC3_TRYHASH;
extern const isc::log::MessageID DATASRC_MEM_FIND_TYPE_AT_ORIGIN;
extern const isc::log::MessageID DATASRC_MEM_FIND_ZONE;
extern const isc::log::MessageID DATASRC_MEM_LOAD;
extern const isc::log::MessageID DATASRC_MEM_NOT_FOUND;
extern const isc::log::MessageID DATASRC_MEM_NO_NSEC3PARAM;
extern const isc::log::MessageID DATASRC_MEM_NS_ENCOUNTERED;
extern const isc::log::MessageID DATASRC_MEM_NXRRSET;
extern const isc::log::MessageID DATASRC_MEM_OUT_OF_ZONE;
extern const isc::log::MessageID DATASRC_MEM_RENAME;
extern const isc::log::MessageID DATASRC_MEM_SINGLETON;
extern const isc::log::MessageID DATASRC_MEM_SUCCESS;
extern const isc::log::MessageID DATASRC_MEM_SUPER_STOP;
extern const isc::log::MessageID DATASRC_MEM_SWAP;
extern const isc::log::MessageID DATASRC_MEM_WILDCARD_CANCEL;
extern const isc::log::MessageID DATASRC_MEM_WILDCARD_DNAME;
extern const isc::log::MessageID DATASRC_MEM_WILDCARD_NS;
extern const isc::log::MessageID DATASRC_META_ADD;
extern const isc::log::MessageID DATASRC_META_ADD_CLASS_MISMATCH;
extern const isc::log::MessageID DATASRC_META_REMOVE;
extern const isc::log::MessageID DATASRC_QUERY_ADD_NSEC;
extern const isc::log::MessageID DATASRC_QUERY_ADD_NSEC3;
extern const isc::log::MessageID DATASRC_QUERY_ADD_RRSET;
extern const isc::log::MessageID DATASRC_QUERY_ADD_SOA;
extern const isc::log::MessageID DATASRC_QUERY_AUTH_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_BAD_REFERRAL;
extern const isc::log::MessageID DATASRC_QUERY_CACHED;
extern const isc::log::MessageID DATASRC_QUERY_CHECK_CACHE;
extern const isc::log::MessageID DATASRC_QUERY_COPY_AUTH;
extern const isc::log::MessageID DATASRC_QUERY_DELEGATION;
extern const isc::log::MessageID DATASRC_QUERY_EMPTY_CNAME;
extern const isc::log::MessageID DATASRC_QUERY_EMPTY_DNAME;
extern const isc::log::MessageID DATASRC_QUERY_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_FOLLOW_CNAME;
extern const isc::log::MessageID DATASRC_QUERY_GET_MX_ADDITIONAL;
extern const isc::log::MessageID DATASRC_QUERY_GET_NS_ADDITIONAL;
extern const isc::log::MessageID DATASRC_QUERY_GLUE_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_INVALID_OP;
extern const isc::log::MessageID DATASRC_QUERY_IS_AUTH;
extern const isc::log::MessageID DATASRC_QUERY_IS_GLUE;
extern const isc::log::MessageID DATASRC_QUERY_IS_NOGLUE;
extern const isc::log::MessageID DATASRC_QUERY_IS_REF;
extern const isc::log::MessageID DATASRC_QUERY_IS_SIMPLE;
extern const isc::log::MessageID DATASRC_QUERY_MISPLACED_TASK;
extern const isc::log::MessageID DATASRC_QUERY_MISSING_NS;
extern const isc::log::MessageID DATASRC_QUERY_MISSING_SOA;
extern const isc::log::MessageID DATASRC_QUERY_NOGLUE_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_NO_CACHE_ANY_AUTH;
extern const isc::log::MessageID DATASRC_QUERY_NO_CACHE_ANY_SIMPLE;
extern const isc::log::MessageID DATASRC_QUERY_NO_DS_NSEC;
extern const isc::log::MessageID DATASRC_QUERY_NO_DS_NSEC3;
extern const isc::log::MessageID DATASRC_QUERY_NO_ZONE;
extern const isc::log::MessageID DATASRC_QUERY_PROCESS;
extern const isc::log::MessageID DATASRC_QUERY_PROVE_NX_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_REF_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_RRSIG;
extern const isc::log::MessageID DATASRC_QUERY_SIMPLE_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_SYNTH_CNAME;
extern const isc::log::MessageID DATASRC_QUERY_TASK_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_TOO_MANY_CNAMES;
extern const isc::log::MessageID DATASRC_QUERY_UNKNOWN_RESULT;
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD;
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD_PROVE_NX_FAIL;
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD_REFERRAL;
extern const isc::log::MessageID DATASRC_SQLITE_CLOSE;
extern const isc::log::MessageID DATASRC_SQLITE_COMPATIBLE_VERSION;
extern const isc::log::MessageID DATASRC_SQLITE_CONNCLOSE;
extern const isc::log::MessageID DATASRC_SQLITE_CONNOPEN;
extern const isc::log::MessageID DATASRC_SQLITE_CREATE;
extern const isc::log::MessageID DATASRC_SQLITE_DESTROY;
extern const isc::log::MessageID DATASRC_SQLITE_DROPCONN;
extern const isc::log::MessageID DATASRC_SQLITE_ENCLOSURE;
extern const isc::log::MessageID DATASRC_SQLITE_ENCLOSURE_NOT_FOUND;
extern const isc::log::MessageID DATASRC_SQLITE_FIND;
extern const isc::log::MessageID DATASRC_SQLITE_FINDADDRS;
extern const isc::log::MessageID DATASRC_SQLITE_FINDADDRS_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FINDEXACT;
extern const isc::log::MessageID DATASRC_SQLITE_FINDEXACT_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FINDREC;
extern const isc::log::MessageID DATASRC_SQLITE_FINDREF;
extern const isc::log::MessageID DATASRC_SQLITE_FINDREF_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FIND_BAD_CLASS;
extern const isc::log::MessageID DATASRC_SQLITE_FIND_NSEC3;
extern const isc::log::MessageID DATASRC_SQLITE_FIND_NSEC3_NO_ZONE;
extern const isc::log::MessageID DATASRC_SQLITE_INCOMPATIBLE_VERSION;
extern const isc::log::MessageID DATASRC_SQLITE_NEWCONN;
extern const isc::log::MessageID DATASRC_SQLITE_OPEN;
extern const isc::log::MessageID DATASRC_SQLITE_PREVIOUS;
extern const isc::log::MessageID DATASRC_SQLITE_PREVIOUS_NO_ZONE;
extern const isc::log::MessageID DATASRC_SQLITE_SETUP;
extern const isc::log::MessageID DATASRC_SQLITE_SETUP_OLD_API;
extern const isc::log::MessageID DATASRC_STATIC_CLASS_NOT_CH;
extern const isc::log::MessageID DATASRC_STATIC_CREATE;
extern const isc::log::MessageID DATASRC_STATIC_FIND;
extern const isc::log::MessageID DATASRC_UNEXPECTED_QUERY_STATE;

} // namespace datasrc
} // namespace isc

#endif // DATASRC_MESSAGES_H
