// File created from ../../../../src/lib/datasrc/memory/memory_messages.mes on Fri Jun 07 2013 10:16

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace datasrc {
namespace memory {

extern const isc::log::MessageID DATASRC_MEMORY_BAD_NSEC3_NAME = "DATASRC_MEMORY_BAD_NSEC3_NAME";
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_ERROR = "DATASRC_MEMORY_CHECK_ERROR";
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_WARNING = "DATASRC_MEMORY_CHECK_WARNING";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_RRSET = "DATASRC_MEMORY_MEM_ADD_RRSET";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_WILDCARD = "DATASRC_MEMORY_MEM_ADD_WILDCARD";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_ZONE = "DATASRC_MEMORY_MEM_ADD_ZONE";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_COEXIST = "DATASRC_MEMORY_MEM_CNAME_COEXIST";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY = "DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DNAME_NS = "DATASRC_MEMORY_MEM_DNAME_NS";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DUP_RRSET = "DATASRC_MEMORY_MEM_DUP_RRSET";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_FIND_ZONE = "DATASRC_MEMORY_MEM_FIND_ZONE";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_LOAD = "DATASRC_MEMORY_MEM_LOAD";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_NO_NSEC3PARAM = "DATASRC_MEMORY_MEM_NO_NSEC3PARAM";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_OUT_OF_ZONE = "DATASRC_MEMORY_MEM_OUT_OF_ZONE";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_SINGLETON = "DATASRC_MEMORY_MEM_SINGLETON";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_DNAME = "DATASRC_MEMORY_MEM_WILDCARD_DNAME";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_NS = "DATASRC_MEMORY_MEM_WILDCARD_NS";

} // namespace memory
} // namespace datasrc
} // namespace isc

namespace {

const char* values[] = {
    "DATASRC_MEMORY_BAD_NSEC3_NAME", "NSEC3 record has a bad owner name '%1'",
    "DATASRC_MEMORY_CHECK_ERROR", "post-load check of zone %1/%2 failed: %3",
    "DATASRC_MEMORY_CHECK_WARNING", "%1/%2: %3",
    "DATASRC_MEMORY_MEM_ADD_RRSET", "adding RRset '%1/%2' into zone '%3'",
    "DATASRC_MEMORY_MEM_ADD_WILDCARD", "adding wildcards for '%1'",
    "DATASRC_MEMORY_MEM_ADD_ZONE", "adding zone '%1/%2'",
    "DATASRC_MEMORY_MEM_CNAME_COEXIST", "can't add data to CNAME in domain '%1'",
    "DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY", "can't add CNAME to domain with other data in '%1'",
    "DATASRC_MEMORY_MEM_DNAME_NS", "DNAME and NS can't coexist in non-apex domain '%1'",
    "DATASRC_MEMORY_MEM_DUP_RRSET", "duplicate RRset '%1/%2'",
    "DATASRC_MEMORY_MEM_FIND_ZONE", "looking for zone '%1'",
    "DATASRC_MEMORY_MEM_LOAD", "loading zone '%1' from file '%2'",
    "DATASRC_MEMORY_MEM_NO_NSEC3PARAM", "NSEC3PARAM is missing for NSEC3-signed zone %1/%2",
    "DATASRC_MEMORY_MEM_OUT_OF_ZONE", "domain '%1' doesn't belong to zone '%2'",
    "DATASRC_MEMORY_MEM_SINGLETON", "trying to add multiple RRs for domain '%1' and type '%2'",
    "DATASRC_MEMORY_MEM_WILDCARD_DNAME", "DNAME record in wildcard domain '%1'",
    "DATASRC_MEMORY_MEM_WILDCARD_NS", "NS record in wildcard domain '%1'",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

