// File created from ../../../src/lib/nsas/nsas_messages.mes on Fri Jun 07 2013 10:16

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace nsas {

extern const isc::log::MessageID NSAS_EMPTY_RESPONSE = "NSAS_EMPTY_RESPONSE";
extern const isc::log::MessageID NSAS_ERROR_RESPONSE = "NSAS_ERROR_RESPONSE";
extern const isc::log::MessageID NSAS_FIND_NS_ADDRESS = "NSAS_FIND_NS_ADDRESS";
extern const isc::log::MessageID NSAS_FOUND_ADDRESS = "NSAS_FOUND_ADDRESS";
extern const isc::log::MessageID NSAS_LOOKUP_CANCEL = "NSAS_LOOKUP_CANCEL";
extern const isc::log::MessageID NSAS_NS_LOOKUP_FAIL = "NSAS_NS_LOOKUP_FAIL";
extern const isc::log::MessageID NSAS_NULL_RESPONSE = "NSAS_NULL_RESPONSE";
extern const isc::log::MessageID NSAS_SEARCH_ZONE_NS = "NSAS_SEARCH_ZONE_NS";
extern const isc::log::MessageID NSAS_UPDATE_RTT = "NSAS_UPDATE_RTT";
extern const isc::log::MessageID NSAS_WRONG_ANSWER = "NSAS_WRONG_ANSWER";

} // namespace nsas
} // namespace isc

namespace {

const char* values[] = {
    "NSAS_EMPTY_RESPONSE", "response to query for %1 returned an empty answer section",
    "NSAS_ERROR_RESPONSE", "error response of %1 returned in query for %2",
    "NSAS_FIND_NS_ADDRESS", "asking resolver to obtain A and AAAA records for %1",
    "NSAS_FOUND_ADDRESS", "found address %1 for %2",
    "NSAS_LOOKUP_CANCEL", "lookup for zone %1 has been canceled",
    "NSAS_NS_LOOKUP_FAIL", "failed to lookup any %1 for %2",
    "NSAS_NULL_RESPONSE", "got null message in success callback for query for %1",
    "NSAS_SEARCH_ZONE_NS", "searching NSAS for nameservers for zone %1",
    "NSAS_UPDATE_RTT", "update RTT for %1: was %2 ms, is now %3 ms",
    "NSAS_WRONG_ANSWER", "queried for %1 RR of type/class %2/%3, received response %4/%5",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

